PsychoPy encountered an unhandled internal error - details for developers

Hi, I have an unhandled internal error with a message to send this to the developers for assistance - see internal error message below. When this occurred I was editing a block loop and changing the experimental settings. I know I have some issues to fix but I’m unable to do this because this message keeps coming up.

Traceback (most recent call last):
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\experiment\components\settings_init_.py”, line 625, in getInfo
isList = ast.literal_eval(str(val))
File “C:\Program Files\PsychoPy\lib\ast.py”, line 59, in literal_eval
node_or_string = parse(node_or_string, mode=‘eval’)
File “C:\Program Files\PsychoPy\lib\ast.py”, line 47, in parse
return compile(source, filename, mode, flags,
File “”, line 1
[“1”, “2”, “3”, “4”]
^
SyntaxError: invalid character in identifier

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\experiment\components\settings_init_.py”, line 659, in getInfo
infoDict = eval(re.sub(pattern, entryToString, infoStr))
File “”, line 1
{‘participant’: ‘f"{randint(0, 999999):‘06’.0f}"’, ‘session’: ‘001’, ‘response’: “[‘onscreen’, ‘type’]”, ‘group’: ‘[“1”, “2”, “3”, “4”]’}
^
SyntaxError: leading zeros in decimal integer literals are not permitted; use an 0o prefix for octal integers

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\builder\builder.py”, line 1285, in setExperimentSettings
dlg = DlgExperimentProperties(
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\builder\dialogs_init_.py”, line 1741, in init
BaseParamsDlg.init(self, frame=frame, element=element, experiment=experiment,
File "C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\builder\dialogs_init
.py", line 787, in init
self.ctrls = ParamNotebook(self, element, experiment)
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\builder\dialogs_init_.py”, line 638, in init
page = self.CategoryPage(self, self.parent, params)
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\builder\dialogs_init_.py”, line 496, in init
self.addParam(name, param)
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\builder\dialogs_init_.py”, line 504, in addParam
self.ctrls[name] = ParamCtrls(self.dlg, param.label, param, self, name)
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\builder\dialogs_init_.py”, line 169, in init
val=self.exp.settings.getInfo(), valType=param.valType,
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\experiment\components\settings_init_.py”, line 664, in getInfo
raise AttributeError(msg)
AttributeError: Builder Expt: syntax error in “Experiment info” settings (expected a dict)

Please could you show a screenshot of your expInfo dialogue box?

Thanks for getting back to me. I solved the problem so all sorted now :slightly_smiling_face:

Please could you post your solution here?

I actually just went back to a previously saved version of the task…